# class CapturedEvent | A captured event string with a debug level. More...
Full name | `TelEngine::CapturedEvent`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline CapturedEvent (int level, const char* text)
- inline CapturedEvent (const CapturedEvent& original)
- inline int level () const

#### Public Static Methods

- static inline bool capturing ()
- static inline const ObjList& events ()
- static inline void append (int level, const char* text)

#### Protected Static Methods

- static inline ObjList& eventsRw ()
- static inline void capturing (bool capture)

## Detailed Description

Holder for an event (output, debug or alarm) message

inline CapturedEvent (int level, const char* text) | ### CapturedEvent

Constructor

Parameters:

level | Debugging level associated with the event
text | Text description of the event

inline CapturedEvent (const CapturedEvent& original) | ### CapturedEvent

Copy constructor

Parameters:

original | Captured event to copy

inline int level () | ### level

[const]

Get the debugging level of the event

Returns: Debugging level associated with the event

inline bool capturing () | ### capturing

[static]

Get the capturing state of the output and debug messages

Returns: True if output and debug messages are being captured

inline const ObjList& events () | ### events

[static]

Get the list of captured events

Returns: List of events captured from output and debugging

inline void append (int level, const char* text) | ### append

[static]

Add an event to the captured events list

Parameters:

level | Debugging level associated with the event
text | Text description of the event, must not be empty

Reimplemented from String.

inline ObjList& eventsRw () | ### eventsRw

[protected static]

Get a writable list of captured events

Returns: List of events captured from output and debugging

inline void capturing (bool capture) | ### capturing

[protected static]

Enable or disable capturing of output and debug messages

Parameters:

capture | True to capture internally the debugging messages

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.